Subject: Re: Assume POSIX 1003.1-1988 or later for unistd.h.

From: Eli Zaretskii <[email-masked]>
Date: Tue, 20 Nov 2012 20:14:55 +0200

> Date: Tue, 20 Nov 2012 09:38:31 -0800
> From: Paul Eggert <[email-masked]>
> CC: Eli Zaretskii <[email-masked]>
> 
> Here's a patch that I plan to install to simplify Emacs based
> on assuming that the underyling system supports POSIX 1003.1-1988
> or later with respect to unistd.h.  This is universal these days
> on GNUish hosts, and I don't forsee any problems with Microsoft
> hosts.  I'm CC:ing this to Eli, though, to give him a heads-up
> just in case.
> 
> It may help in a later patch to simplify the Microsoft side by
> removing getwd and standardizing on getcwd, since that's what
> POSIX did back in 1988, but that's an issue that's independent
> of this patch.

It's not independent.  The getwd in w32.c must be modified to be
getcwd instead.

Otherwise, I see no problems with this, as far as the MS-Windows build
is concerned.